## org.eclipse.amp.escape.runtime.extension
Interface IAgentChild

All Known Implementing Classes:
  AbstractSDModel

    public interface IAgentChild

Interface to extend an Agent at runtime

Author:
  fei

Method Summary
`void` `addDataCollectors(java.lang.Object object)`
`void` `calculate(int simulationTime)` Will be called on every timestamp
`void` `startSimulation(int startTime)` Will be called at start time of the simulation

Method Detail

### startSimulation

    void startSimulation(int startTime)

  Will be called at start time of the simulation

  Parameters:
    `startTime` - the time on which the simulation start

### calculate

    void calculate(int simulationTime)

  Will be called on every timestamp

  Parameters:
    `simulationTime` - the current simulation time

### addDataCollectors

    void addDataCollectors(java.lang.Object object)

  Parameters:
    `object` - contains some simulationinformation